.TH "xcheckers" "1X" "17 Mar 2000" "X11" "X Games"

.SH NAME
xcheckers \- lets you play at draughts ala point and click.

.SH SYNOPSIS
.B xcheckers
[\fIoptions\fP]

.SH DESCRIPTION
xcheckers draws a checkerboard into an X Window and connects you to an
ICDS (international checkers and draughts server) or to a checkers
program of your choice.  xcheckers comes with simplech, a simple yet
strong search engine.
.PP
At startup the checkers board is mostly hidden by the help window, which
shows two columns of buttons, that send predefind strings to the engine
and can be customized by editing resource files.
.PP
Keep the terminal window you started xcheckers from to receive messages
and prompts from the engine or the server.  Now, log into the ICDS,
set style 5, match another user, watch a game etc. or set up the engine.
.PP
xcheckers passes most of your typing to the engine or to ICDS, and
echoes to the terminal window; backspace behaves somehow obscure,
though. The Help-key or Ctrl-h brings up the help window. Ctrl-q quits
the program, Ctrl-c force quits the program, Ctrl-n draws numbers on
the nodes.
.PP
To move, left-click on a piece, drag the piece to the destination node
and release it there.  Right clicking anywhere in the window displays
the help window.
.PP
The graphics for pieces and patches can be changed by supplying selfmade
*.xpm picture files, similar to those installed with the application.
(see Readme.artists in the sources distribution.)

.SH OPTIONS
.B xcheckers
recognizes the following command line switches, all of which - to save
typing - may be set to defaults of your liking with resources.

.TP
.B -icds
Connect to an ICDS using
.BR telnet (1).

.TP
.B -host \fIhostname\fP 
Name the ICDS.

.TP
.B -port \fIportnumber\fP 
You have to provide one if different from 4444.

.TP
.B -local
Connect to a search engine using
.BR sh (1).

.TP
.B -engine \fIprogram\fP
Name the checkers engine, as of to date
.BR simplech (6).

.TP
.B -scene \fIfile\fB
Name a pixmap file to design both board and pieces.

.TP
.B -font \fIfontname\fB
Name a font for the status line.

.TP
.B -geometry \fIgeometry\fB
Set the x and y offset for the window to appear at. Size is determined by
the scene file only!

.TP
.B -display \fIdisplayname\fB
Set the X server for the window to appear at.

.SH RESOURCES
.B xcheckers
accepts the following defaults set in
.I ~/.Xdefaults,
in
.I `pwd`/xcheckersrc,
in
.I ~/.xcheckersrc
and in
.I /usr/lib/X11/app-defaults/XCheckers.
(First mentioned places overriding)

.TP
.B icds: \fItrue\fP | \fIfalse\fP
Make connecting to an ICDS the default ("true").

.TP
.B host: \fIhostname\fP
Name your favourite ICDS.

.TP
.B port: \fIportnumber\fP
Use the specified port on this ICDS.

.TP
.B engine: \fIprogram\fP
Name your favourite checkers engine.

.TP
.B font: \fIfontname\fP
Name a font for the status line.

.TP
.B scene: \fIfile\fP
Name a pixmap to design both board and pieces.

.TP
.B button[0-9]_label: \fIstring\fP
A descriptive string to be written on the button.

.TP
.B button[0-9]_call: \fIstring\fP
A string to send to the engine or to ICDS on clicking the button.
Use "\\n" to seperate several ICDS commands sent at once.

.SH ENVIRONMENT
.TP
LOGNAME
Read in at startup to determine player name.

.SH FILES
.I /usr/lib/X11/app-defaults/XCheckers,
.br
.I /usr/lib/X11/xcheckers/scene.xpm,
.br
.I /usr/lib/X11/xcheckers/stars.xpm

.SH SEE ALSO
.BR simplech (6),
.BR http://super.tacheles.de/~girbal/xcheckers/,
.BR http://sonic.digital-web.net/~lionman/checkers.html

.SH COPYRIGHT
Copyright \(co 1999-2000 Peter Chiocchetti.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

